/* MC202 - Estruturas de dados - 2. semestre de 2005.
 * Implementao de Heap para cdigo de Huffman. */

#ifndef HEAP_H
#define HEAP_H

#include "arvhuff.h"

typedef enum {false, true} boolean;

typedef struct heap Heap;

/* Retorna um novo Heap vazio. */
Heap *cria_heap();

/* Destri o heap passado como parmetro. */
void destroi_heap(Heap **heap);

/* Insere o N no heap. */
void insere_heap(Heap *heap, No *no);

/* Remove o menor elemento do heap, ou NULL se heap vazio. */
No *remove_menor_heap(Heap *heap);

/* Retorna true se o heap estiver vazio, false c.c. */
boolean vazio_heap(Heap *heap);

#endif
