#ifndef COMANDOS_H
#define COMANDOS_H

#include <stdio.h>
#include "pilha.h"
#include "boolean.h"

/* Comando de leitura */
boolean comando_le_polinomio(FILE *f, pilha *p);

/* Comandos de impresso */
boolean comando_p(pilha *p);
boolean comando_P(pilha *p);
boolean comando_f(pilha *p);

/* Comandos aritmticos */
boolean comando_soma(pilha *p);
boolean comando_subtracao(pilha *p);
boolean comando_multiplicacao(pilha *p);
boolean comando_negativo(pilha *p);

/* Comandos de manipulao da pilha */
boolean comando_c(pilha *p);
boolean comando_d(pilha *p);
boolean comando_r(pilha *p);

/* Outros comandos */
boolean comando_comentario(FILE *f);

#endif
