#include <stdio.h>
#include <stdlib.h>
#include "polinomios.h"
#include "boolean.h"

/* Retorna um polinmio nulo.
 */
polinomio polinomio_cria_nulo() {
   return NULL;
}

/* Libera toda memria alocada pelo polinmio *p.
 */
void polinomio_libera(polinomio *p) {
   // COMPLETAR
   return;
}

/* Imprime um polinmio p(x), seguido por um caracter de nova linha,
 * representado da seguinte forma:
 * - Os monmios devem ser impressos em ordem decrescente de expoente.
 * - O primeiro monmio deve levar sinal apenas se for negativo.
 * - O sinal do primeiro monmio no  separado por espao do coeficiente,
 *   ou da varivel.
 * - Os monmios intermedirios devem sempre levar sinal (+ ou -)
 * - O monmio de grau zero no leva a varivel x.
 * - O coeficiente 1 no deve ser mostrado, exceto para o monmio de grau zero.
 * - O expoente 1 no deve ser mostrado.
 * - Os coeficientes devem ser separados por um espao em branco das variveis.
 * - A multiplicao  representada implicitamente.
 * - A potncia  representada pelo caracter ^.
 * - Os coeficientes devem ser impressos com a formataao "%.10g" do printf.
 * Exemplos:
 * -x
 * -5 x
 * -x^2 - x
 * 25 x^4 + 120 x^3 + 154 x^2 + 24 x + 1
 * 10 x^12 + 5.55 x^2 + 13 - 7 x^-1
 * 50 - x^-1
 */
void polinomio_imprime(polinomio p) {
   // COMPLETAR
   return;
}

/* Adiciona o monmio coef*x^exp ao polinmio p, alterando o polinmio
 * passado como parmetro. Isto , realiza a operao: p(x) = p(x) + coef*x^exp
 * Note que p pode j ter um monmio com expoente exp.
 */
void polinomio_adiciona_monomio(polinomio *p, double coef, int exp) {
   // COMPLETAR
   return;
}

/* Realiza a soma p(x) + q(x) dos polinmios p e q.
 * No altera os polinmios p e q passados como parmetro.
 * Retorna o polinmio soma.
 */
polinomio polinomio_soma(polinomio p, polinomio q) {
   // COMPLETAR
   return NULL; // PROVISRIO
}

/* Realiza a subtrao p(x) - q(x) dos polinmios p e q.
 * No altera os polinmios p e q passados como parmetro.
 * Retorna p(x) - q(x).
 */
polinomio polinomio_subtracao(polinomio p, polinomio q) {
   // COMPLETAR
   return NULL; // PROVISRIO
}

/* Realiza a multiplicao p(x)*q(x) dos polinmios p e q.
 * No altera os polinmios p e q passados como parmetro.
 * Retorna p(x)*q(x).
 */
polinomio polinomio_multiplicacao(polinomio p, polinomio q) {
   // COMPLETAR
   return NULL; // PROVISRIO
}

/* Retorna o polinmio -p(x). No altera o polinmio passado como parmetro.
 */
polinomio polinomio_negativo(polinomio p) {
   // COMPLETAR
   return NULL; // PROVISRIO
}
