#ifndef POLINOMIOS_H
#define POLINOMIOS_H

typedef struct monomio {
   int exp;
   double coef;
   struct monomio *prox;
} monomio, *polinomio;


polinomio polinomio_cria_nulo();

void polinomio_libera(polinomio *p);

void polinomio_imprime(polinomio p);

void polinomio_adiciona_monomio(polinomio *p, double coef, int exp);

polinomio polinomio_soma(polinomio p, polinomio q);

polinomio polinomio_subtracao(polinomio p, polinomio q);

polinomio polinomio_multiplicacao(polinomio p, polinomio q);

polinomio polinomio_negativo(polinomio p);

#endif
