#ifndef EXPRESSOES_H
#define EXPRESSOES_H

#include "boolean.h"

#define TAM_MAX_EXPR 128

typedef struct ArvExpr ArvExpr;

typedef struct VarValor VarValor;

struct VarValor {
   char var;
   double valor;
};

void ConverteInPos(char *inf, char *posf);

void ArvExprImprime(ArvExpr* a);

void ArvExprImprimeInfixa(ArvExpr* a);

void ArvExprImprimePosfixa(ArvExpr* a);

void ArvExprImprimePrefixa(ArvExpr* a);

double ArvExprAvalia(ArvExpr* a, VarValor *vars, int nvars);

ArvExpr* ArvExprDeExprPosfixa(char *posf);

void ArvExprLibera(ArvExpr **a);

#endif
